# plugs.

Plugs. lets you organize your home studio: With plugs. finding what is where in your home studio was never easier! plugs. lets you define, where you plugged what, which cable goes where, and which output is connected to which input, and vice versa. Search for your gear, edit your everchanging and expanding gear setup on the go, or see your mixer for a quick overview.

# Idea for plugs

Cable management can be really exhausting, especially if you're face down under your desk trying to find cable plugs, that are connected to gear in another room. Thats where the idea for plugs. came from. Before you have to touch each cable to know where it leads, just open plugs. and let it tell you, where your favourite synthesizers output is connected to. Ciao dusty studio floors.

# To Do

After the first 4 weeks in development, it is now time to refactor. Plugs can be improved a lot:

- data and type structure must be improved for easier fetches
    - each connection must be an object    
    - less code in states
- styling must be improved for smaller screens
- currently only 5 connections are possible, this should be dynamic
- type of connection should also be dynamic
- Picture upload for gear
- User authentification
- Dark mode
